'''
1) Попросите пользователя ввести количество элементов для списка.
2) Создайте список, состоящий из целых случайных чисел от 0 до 100, заданного пользователем количества.
3) Выведите этот список с помощью цикла while.
4) С помощью множеств удалите из списка все повторяющиеся значения.
5) Выведите получившийся список с помощью цикла for.
'''
import random
a = int(input('введите количество элементов'))
b = list(int(random.random()*10) for i in range(0, a))
i = 0
while i < len(b):
    print('элементы созданного списка ',b[i])
    i +=1
my = set(b)
for c in my:
    print('элементы множества ', c)
print(len(b), ' ', len(my))